App.TableNumberWithInfoComponent = Ember.Component.extend
  tagName: 'span'
  layoutName: 'table_number_with_info'
  classNames: 'table-number-with-info'
  click: ->
    $el = $(@get('element')).find('.extra-list-info')
    return $el.hide() if $el.is(':visible')
    $el.show()
    $.get Routes.extra_info_suppliers_list_path(@get('context.id')), (res)->
      $el.html(res)
